
package de.ivu.elect.presentation.gruppeimgebiet.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.gruppeimgebiet.GruppeImGebietStatusView;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public class GruppeImGebietStatusMenuItemEntry extends AbstractGruppeImGebietMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.GRUPPE_IM_GEBIET_STATUS;
  }

  @Override
  public String getTargetViewId() {
    return GruppeImGebietStatusView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMessage("entity.mehrzahl.GRUPPENREIHENFOLGE"));
  }

  @Override
  public String getLabelKey() {
    return "entity.status.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconStatus();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getEinsehenGebietSecurity();
  }
}
